/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of graphviz-builder which is released under MIT.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, May 2020
 */

type EdgeStyles =
  '' | 'bold' | 'dashed' | 'dotted' | 'solid'


type NodeStyles =
  '' | 'bold' | 'dashed' | 'diagonals' | 'dotted' | 'filled' | 'invis' | 'rounded' | 'solid' | 'striped' | 'wedged'


type GraphStyles =
  'bold' | 'dashed' | 'dotted' | 'filled' | 'rounded' | 'solid' | 'striped'

export { EdgeStyles, NodeStyles, GraphStyles };
